%define oname	mowgli-2

%define major	0
%define libname	%mklibname mowgli 2 %{major}
%define devname	%mklibname -d mowgli 2

Summary:	Development framework with high performance algorithms
Name:		libmowgli
Version:	2.1.3
Release:	%mkrel 3
License:	BSD
Group:		System/Libraries
Url:		http://www.atheme-project.org/projects/mowgli.shtml
Source0:	https://github.com/atheme/libmowgli-2/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	openssl-devel

%description
mowgli is a development framework for C (like GLib), which provides
high performance and highly flexible algorithms. It can be used as a
suppliment to GLib (to add additional functions (dictionaries,
hashes), or replace some of the slow GLib list manipulation
functions), or stand alone. It also provides a powerful hook system
and convenient logging for your code, as well as a high performance
block allocator.

%package -n %{libname}
Group:		System/Libraries
Summary:	Development framework library
Obsoletes:	%{_lib}mowgli-2_0 < 2.1.0

%description -n %{libname}
mowgli is a development framework for C (like GLib), which provides
high performance and highly flexible algorithms. It can be used as a
suppliment to GLib (to add additional functions (dictionaries,
hashes), or replace some of the slow GLib list manipulation
functions), or stand alone. It also provides a powerful hook system
and convenient logging for your code, as well as a high performance
block allocator.

%package -n %{devname}
Group:		Development/C
Summary:	Development framework header files
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}
Obsoletes:	%{_lib}mowgli-2-devel < 2.1.0

%description -n %{devname}
mowgli is a development framework for C (like GLib), which provides
high performance and highly flexible algorithms. It can be used as a
suppliment to GLib (to add additional functions (dictionaries,
hashes), or replace some of the slow GLib list manipulation
functions), or stand alone. It also provides a powerful hook system
and convenient logging for your code, as well as a high performance
block allocator.

%prep
%setup -q -n lib%{oname}-%{version}

%build
%configure \
	--with-openssl=%{_includedir}
%make_build

%install
%make_install

%files -n %{libname}
%{_libdir}/lib%{oname}.so.%{major}{,.*}

%files -n %{devname}
%doc AUTHORS
%{_libdir}/lib%{oname}.so
%{_libdir}/pkgconfig/lib%{oname}.pc
%{_includedir}/lib%{oname}/


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 2.1.3-3.mga8
+ Revision: 1514242
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.1.3-2.mga7
+ Revision: 1299003
- Mageia 7 Mass Rebuild

* Sun Oct 01 2017 wally <wally> 2.1.3-1.mga7
+ Revision: 1162153
- new version 2.1.3
- fix lib and devel pkg names
- enable openssl support

* Sat Feb 06 2016 umeabot <umeabot> 2.0.0-5.mga6
+ Revision: 941259
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-4.mga5
+ Revision: 744510
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.0-3.mga5
+ Revision: 726763
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-2.mga5
+ Revision: 681612
- Mageia 5 Mass Rebuild

* Fri May 30 2014 gw666 <gw666> 2.0.0-1.mga5
+ Revision: 627960
- new version
- new library name and major
- update source location

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 507175
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 357789
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 28 2011 wally <wally> 1.0.0-1.mga2
+ Revision: 173876
- new version 1.0.0
- clean .spec a bit

* Tue Jun 07 2011 dmorgan <dmorgan> 0.9.50-1.mga2
+ Revision: 101543
- New version 0.9.50

* Fri Mar 04 2011 ennael <ennael> 0.7.1-1.mga1
+ Revision: 63966
- clean spec file
- imported package libmowgli


* Mon Aug 16 2010 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2011.0
+ Revision: 570282
- new version

* Mon Jul 21 2008 Götz Waschk <waschk@mandriva.org> 0.7.0-1mdv2009.0
+ Revision: 239309
- new version
- new major

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Götz Waschk <waschk@mandriva.org> 0.6.1-1mdv2008.1
+ Revision: 170663
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jan 01 2008 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 140063
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdv2008.1
+ Revision: 98443
- new version

* Tue Oct 09 2007 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdv2008.1
+ Revision: 96174
- new version

* Mon Jul 23 2007 Götz Waschk <waschk@mandriva.org> 0.3.0-1mdv2008.0
+ Revision: 54554
- Import libmowgli



* Mon Jul 23 2007 Götz Waschk <waschk@mandriva.org> 0.3.0-1mdv2008.0
- initial package
